GET api/MedicationRefillRequests/{id}
Gets information about a medication refill.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Medication refill's unique ID on integrating system. |
globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MedicationRefillRequestModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
Medication refill ID unique in the integrating system. |
globally unique identifier |
None. |
| PatientExternalId |
Patient externalId of the patient that created the medication refill. |
string |
None. |
| PatientMedicationExternalId |
Patient medication externalId of the medication refill. |
string |
None. |
| DoctorExternalId |
Doctor ID in the integrating system. |
string |
None. |
| Status |
Status of the medication refill. Status should be (Pending, Approved or Denied). |
string |
None. |
| Created |
Medication refill creation date. |
date |
None. |
| PatientComments |
Comments by patient. |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "42e43c2d-5955-4f07-a5d2-2c6fc8bd4eed",
"patientExternalId": "sample string 2",
"patientMedicationExternalId": "sample string 3",
"doctorExternalId": "sample string 4",
"status": "sample string 5",
"created": "2026-05-29T16:58:02.1094199+00:00",
"patientComments": "sample string 7"
}
application/xml, text/xml
Sample:
<MedicationRefillRequestModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.MedicationRefillRequests"> <Created>2026-05-29T16:58:02.1094199+00:00</Created> <DoctorExternalId>sample string 4</DoctorExternalId> <Id>42e43c2d-5955-4f07-a5d2-2c6fc8bd4eed</Id> <PatientComments>sample string 7</PatientComments> <PatientExternalId>sample string 2</PatientExternalId> <PatientMedicationExternalId>sample string 3</PatientMedicationExternalId> <Status>sample string 5</Status> </MedicationRefillRequestModel>